class_name LoadingScreen extends Node

@onready var _progress_bar: ProgressBar = %ProgressBar
@onready var _player: AnimationPlayer = %AnimationPlayer

func _ready() -> void:
	return

func fade_out() -> void:
	return

func _process(_delta: float) -> void:
	if SceneLoader.progress.size() > 0:
		_progress_bar.value = SceneLoader.progress[0] * 100
